import { useState } from 'react';
import { connect } from 'react-redux';
import { actionFullLogin } from '../actions';

const LoginForm = ({ onLogin }) => {
    const [login, setLogin] = useState("")
    const [password, setPassword] = useState("")

    return (
        <div className="login-form">
            <input value={login} onChange={e => setLogin(e.target.value)} />
            <input type='password' value={password} onChange={e => setPassword(e.target.value)} />
            <button disabled={login === "" || password === ""} onClick={() => onLogin(login, password)}>Login</button>
        </div>
    )
}

export const ConnectLoginForm = connect(null, { onLogin: actionFullLogin })(LoginForm)
