import { createStore, applyMiddleware, combineReducers } from 'redux';
import thunk from 'redux-thunk';
import authReducer from './auth';
import promiseReducer from './promise';
import chatReducer from './chat'

const reducers = combineReducers({
    promise: promiseReducer,
    auth: authReducer,
    chat: chatReducer
})

const store = createStore(reducers, applyMiddleware(thunk))

export default store